function [ys,check] = three_shock_steadystate(junk,ys)

global theta A delta beta

check=0;

y_over_k=(1/theta)*(1/beta-1+delta);

x_over_k=delta;

c_over_k=y_over_k - x_over_k;

n_bar=((1-theta)/A)*y_over_k/c_over_k;

y_bar=((y_over_k^(-theta)) * n_bar^(1-theta))^(1/(1-theta));

k_bar=(y_over_k)^(-1)*y_bar;

c_bar=c_over_k*k_bar;

x_bar=x_over_k*k_bar;

R_bar=theta*y_over_k+(1-delta);

n=n_bar;
c=c_bar;
y=y_bar;
x=x_bar;
k=k_bar;
eta_a=0;
eta_b=0;
eta_x=0;
y_k=y_over_k;
c_k=c_over_k;

ys=[c; eta_a; eta_b; eta_x; k; n; x; y];

         